Get Resource Type

Get Resource Type
Gets resource type by id (DEPRECATED).

This endpoint is deprecated. Use /deployment/api/resource-types/{id} directly from the Catalog Service instead. Get the resource type for the provided ID in the currently authorized organization

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/form-service/api/deployment/resource-types/{id}
COPY
Path Parameters
string
id
Required

id


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with found resource type

Returns ResourceTypeSpec of type(s) */*
{
    "id": "string",
    "name": "string",
    "displayName": "string",
    "description": "string",
    "operations": [
        "string"
    ],
    "schema": {
        "type": "string",
        "encrypted": false,
        "additionalProperties": false,
        "title": "string",
        "description": "string",
        "writeOnly": false,
        "readOnly": false,
        "anyOf": [
            {
                "type": "string",
                "encrypted": false,
                "additionalProperties": false,
                "title": "string",
                "description": "string",
                "writeOnly": false,
                "readOnly": false,
                "anyOf": [
                    "ProviderSchemaImpl Object"
                ],
                "oneOf": [
                    "ProviderSchemaImpl Object"
                ],
                "not": "ProviderSchemaImpl Object",
                "items": {
                    "value": "ProviderSchemaImpl Object",
                    "singleton": false,
                    "values": [
                        "ProviderSchemaImpl Object"
                    ]
                },
                "uniqueItems": false,
                "maxItems": 0,
                "minItems": 0,
                "maximum": "number",
                "minimum": "number",
                "properties": {
                    "properties": "ProviderSchemaImpl Object"
                },
                "required": [
                    "string"
                ],
                "maxProperties": 0,
                "minProperties": 0,
                "patternProperties": {
                    "patternProperties": "ProviderSchemaImpl Object"
                },
                "maxLength": 0,
                "minLength": 0,
                "pattern": "string",
                "format": "string",
                "formatMinimum": "string",
                "formatMaximum": "string",
                "computed": false,
                "recreateOnUpdate": false,
                "ignoreOnUpdate": false,
                "ignoreCaseOnDiff": false,
                "dependencies": {
                    "dependencies": [
                        "string"
                    ]
                },
                "enum": [
                    {}
                ],
                "const": {},
                "default": {},
                "$data": "string",
                "$dynamicDefault": "string",
                "metadata": {
                    "metadata": {}
                }
            }
        ],
        "oneOf": [
            "ProviderSchemaImpl Object"
        ],
        "not": "ProviderSchemaImpl Object",
        "items": "ObjectOrListProviderSchemaImpl Object",
        "uniqueItems": false,
        "maxItems": 0,
        "minItems": 0,
        "maximum": "number",
        "minimum": "number",
        "properties": {
            "properties": "ProviderSchemaImpl Object"
        },
        "required": [
            "string"
        ],
        "maxProperties": 0,
        "minProperties": 0,
        "patternProperties": {
            "patternProperties": "ProviderSchemaImpl Object"
        },
        "maxLength": 0,
        "minLength": 0,
        "pattern": "string",
        "format": "string",
        "formatMinimum": "string",
        "formatMaximum": "string",
        "computed": false,
        "recreateOnUpdate": false,
        "ignoreOnUpdate": false,
        "ignoreCaseOnDiff": false,
        "dependencies": {
            "dependencies": [
                "string"
            ]
        },
        "enum": [
            {}
        ],
        "const": {},
        "default": {},
        "$data": "string",
        "$dynamicDefault": "string",
        "metadata": {
            "metadata": {}
        }
    },
    "providerId": "string",
    "orgId": "string",
    "projectId": "string",
    "restrictToSingleInstance": false,
    "supportedTenancyTypes": [
        "string"
    ]
}

403

'Forbidden' when the user doesn't have view resource actions privileges

Operation doesn't return any data structure

404

'Not Found' if there is no resource type matching the ID in the organization

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/form-service/api/deployment/resource-types/{id}